ServerEvents.recipes(event => {
    event.shapeless(
        Item.of('cold_sweat:filled_waterskin'),
        [
            Ingredient.of('cold_sweat:waterskin'),
            Item.of('potion', {Potion: 'minecraft:water'}).weakNBT()
        ]
    )
});